Subject: Re: [PATCH net-next] net: mana: Add page pool for RX buffers

From: Jakub Kicinski <[email-masked]>
Date: Fri, 14 Jul 2023 08:31:52 -0700

On Fri, 14 Jul 2023 15:13:15 +0200 Jesper Dangaard Brouer wrote:
> > Thank Jakub and Jesper for the reviews.
> > I'm aware of the page_pool.rst doc, and actually tried it before this
> > patch, but I got lower perf. If I understand correctly, we should call
> > page_pool_release_page() before passing the SKB to napi_gro_receive().
> > 
> > I found the page_pool_dev_alloc_pages() goes through the slow path,
> > because the page_pool_release_page() let the page leave the pool.
> > 
> > Do we have to call page_pool_release_page() before passing the SKB
> > to napi_gro_receive()? Any better way to recycle the pages from the
> > upper layer of non-XDP case?
> >   
> 
> Today SKB "upper layers" can recycle page_pool backed packet data/page.
> 
> Just use skb_mark_for_recycle(skb), then you don't need 
> page_pool_release_page().
> 
> I guess, we should update the documentation, mentioning this.

Ah, I should probably send in the few cleanups form the huge page
series. It looks like all users of page_pool_release_page() can
be converted to skb recycling, so we should hide it and remove 
from docs?